#include <bits/stdc++.h>
using namespace std;
int a, b, x, y;
int main () {
cin>>a>>b>>x>>y;
if ((a==x) and (b>y)) {
    cout<<"drugi"<<endl;
    }
else if ((a>x) and (b==y)) {
    cout<<"prvi"<<endl;
    }
else if ((a==x) and (b==y)) {
    cout<<"nijedan"<<endl;
}
else if ((a>x) and (b>x)) {
    cout<<"?"<<endl;
}
return 0;
}